declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
    execute immediate 'CREATE TABLE CONFIGURACION_PRODUCTO_PARADA (
						CONFIGURACION_PRODUCTO_PARADA_ID NUMBER(7,0) NOT NULL,
						CONFIGURACIONPRODUCTO_ID NUMBER(7,0) NOT NULL,
						PARADA_ID NUMBER(7,0) NOT NULL,
						USUARIO_ID NUMBER(7,0) NOT NULL,
						FECMODIF DATE NOT NULL,
						ACTIVO NUMBER(1,0) NOT NULL,
						CONSTRAINT CONFIGURACION_PRODUCTO_PARADA_PK PRIMARY KEY (CONFIGURACION_PRODUCTO_PARADA_ID)
					)';
  exception when object_exists then null;
end;
/
declare
  object_exists  exception;
  except_02275  exception;
  except_02270  exception;
  except_02261  exception;

  pragma exception_init (object_exists  , -01430);
  pragma exception_init (except_02275  , -02275);
  pragma exception_init (except_02270  , -02270);
  pragma exception_init (except_02261  , -02261);
begin
    execute immediate 'ALTER TABLE CONFIGURACION_PRODUCTO_PARADA ADD CONSTRAINT CONFIGURACION_PRODUCTO_PARADA_CONFIGURACION_PRODUCTO_FK FOREIGN KEY (CONFIGURACIONPRODUCTO_ID) REFERENCES VTABOL.CONFIGURACION_PRODUCTO(CONFIGURACIONPRODUCTO_ID)';
  exception 
    when object_exists  then null;
    when except_02275  then null;
    when except_02270  then null;
    when except_02261  then null;
end;
/
declare
  object_exists  exception;
  except_02275  exception;
  except_02270  exception;
  except_02261  exception;

  pragma exception_init (object_exists  , -01430);
  pragma exception_init (except_02275  , -02275);
  pragma exception_init (except_02270  , -02270);
  pragma exception_init (except_02261  , -02261);
begin
    execute immediate 'ALTER TABLE CONFIGURACION_PRODUCTO_PARADA ADD CONSTRAINT CONFIGURACION_PRODUCTO_PARADA_PARADA_FK FOREIGN KEY (PARADA_ID) REFERENCES VTABOL.PARADA(PARADA_ID)';
  exception 
    when object_exists  then null;
    when except_02275  then null;
    when except_02270  then null;
    when except_02261  then null;
end;
/
declare
  object_exists  exception;
  except_02275  exception;
  except_02270  exception;
  except_02261  exception;

  pragma exception_init (object_exists  , -01430);
  pragma exception_init (except_02275  , -02275);
  pragma exception_init (except_02270  , -02270);
  pragma exception_init (except_02261  , -02261);
begin
    execute immediate 'ALTER TABLE CONFIGURACION_PRODUCTO_PARADA ADD CONSTRAINT CONFIGURACION_PRODUCTO_PARADA_USUARIO_FK FOREIGN KEY (USUARIO_ID) REFERENCES VTABOL.USUARIO(USUARIO_ID)';
  exception 
    when object_exists  then null;
    when except_02275  then null;
    when except_02270  then null;
    when except_02261  then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
    execute immediate 'CREATE SEQUENCE CONFIG_PRODUCTO_PARADA_SEQ INCREMENT BY 1 MINVALUE 0 NOCYCLE NOCACHE NOORDER'; 
  exception when object_exists then null;
end;